OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeLine Class Reference

This class implements the mapping between classes
Line from Geom and Lin from gp, and the class
Line from StepGeom which describes a line from
Prostep.
.

`#include <GeomToStep_MakeLine.hxx>`

Inheritance diagram for GeomToStep_MakeLine:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeLine (const gp_Lin &L)
Standard_EXPORT | GeomToStep_MakeLine (const gp_Lin2d &L)
Standard_EXPORT | GeomToStep_MakeLine (const Handle(Geom_Line)&C)
Standard_EXPORT | GeomToStep_MakeLine (const Handle(Geom2d_Line)&C)
Standard_EXPORT const Handle_StepGeom_Line & | Value () const
## Private Attributes
Handle_StepGeom_Line | theLine

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeLine::GeomToStep_MakeLine | ( | const gp_Lin & | L | ) |

Standard_EXPORT GeomToStep_MakeLine::GeomToStep_MakeLine | ( | const gp_Lin2d & | L | ) |

Standard_EXPORT GeomToStep_MakeLine::GeomToStep_MakeLine | ( | const Handle(Geom_Line)& | C | ) |

Standard_EXPORT GeomToStep_MakeLine::GeomToStep_MakeLine | ( | const Handle(Geom2d_Line)& | C | ) |

## Member Function Documentation

void GeomToStep_MakeLine::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeLine::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeLine::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Line& GeomToStep_MakeLine::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Line GeomToStep_MakeLine::theLine`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeLine.hxx